Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Registry::Name_Component Struct Reference

International string. More...

`#include <Registry.h>`

Collaboration diagram for ACE_Registry::Name_Component:

[legend]
List of all members.

## Public Methods
int | operator== (const Name_Component &rhs) const
int | operator!= (const Name_Component &rhs) const
## Public Attributes
ACE_TString | id_
ACE_TString | kind_

## Detailed Description

International string.

## Member Function Documentation

int ACE_Registry::Name_Component::operator!= | ( | const Name_Component & | rhs | ) | const

int ACE_Registry::Name_Component::operator== | ( | const Name_Component & | rhs | ) | const

## Member Data Documentation

ACE_TString ACE_Registry::Name_Component::id_

ACE_TString ACE_Registry::Name_Component::kind_

The documentation for this struct was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Registry.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Registry.cpp